﻿using MobileApp1.Services;
using MobileApp1.Views;
using Xamarin.Forms;

namespace MobileApp1
{
    public partial class App : Application
    {
        private ICorporationService corporationService = null;


        public App()
        {
            InitializeComponent();

            //DependencyService.Register<MockDataStore>();

            //MainPage = new AppShell();

            MainPage = new NavigationPage(new LoginPage());
        }

        protected override void OnStart()
        {
        }

        protected override void OnSleep()
        {
        }

        protected override void OnResume()
        {
        }


        public ICorporationService CorporationService
        {
            get
            {
                if (corporationService == null) corporationService = new CorporationMockService();

                return corporationService;
            }
        }

    }
}
